For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet purchase orders
      • POSTCreate a purchase order
      • GETGet the available variables for purchase orders
      • GETGet a purchase order by ID
      • DELDelete a purchase order
      • PATCHUpdate a purchase order
      • POSTPreview a purchase order's email message
      • POSTSend a purchase order via email
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payablePurchase orders

Send a purchase order via email

POST
/payable_purchase_orders/:purchase_order_id/send
POST
/v1/payable_purchase_orders/:purchase_order_id/send
$curl -X POST https://api.sandbox.monite.com/v1/payable_purchase_orders/purchase_order_id/send \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body_text": "body_text",
> "subject_text": "subject_text"
>}'
1{
2 "mail_id": "mail_id"
3}
Was this page helpful?
Previous

Get custom VAT rates

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

purchase_order_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
body_textstringRequired
subject_textstringRequired

Response

Successful Response
mail_idstringformat: "uuid"

Errors

400
Post Payable Purchase Orders ID Send Request Bad Request Error
401
Post Payable Purchase Orders ID Send Request Unauthorized Error
403
Post Payable Purchase Orders ID Send Request Forbidden Error
404
Post Payable Purchase Orders ID Send Request Not Found Error
409
Post Payable Purchase Orders ID Send Request Conflict Error
422
Post Payable Purchase Orders ID Send Request Unprocessable Entity Error
429
Post Payable Purchase Orders ID Send Request Too Many Requests Error